step_logit {recipes} | R Documentation

## Logit Transformation

### Description

`step_logit` creates a specification of a recipe step that will logit transform the data.

### Usage

    step_logit(recipe, ..., role = NA, trained = FALSE, columns = NULL,
      skip = FALSE, id = rand_id("logit"))

    ## S3 method for class 'step_logit'
    tidy(x, ...)

### Arguments

`recipe` | A recipe object. The step will be added to the sequence of operations for this recipe.
`...` | One or more selector functions to choose which variables are affected by the step. See `selections()` for more details. For the `tidy` method, these are not currently used.
`role` | Not used by this step since no new variables are created.
`trained` | A logical to indicate if the quantities for preprocessing have been estimated.
`columns` | A character string of variable names that will be populated (eventually) by the `terms` argument.
`skip` | A logical. Should the step be skipped when the recipe is baked by `bake.recipe()`? While all operations are baked when `prep.recipe()` is run, some operations may not be able to be conducted on new data (e.g. processing the outcome variable(s)). Care should be taken when using `skip = TRUE` as it may affect the computations for subsequent operations
`id` | A character string that is unique to this step to identify it.
`x` | A `step_logit` object.

### Details

The logit transformation takes values between zero and one and translates them to be on the real line using the function `f(p) = log(p/(1-p))`.

### Value

An updated version of `recipe` with the new step added to the sequence of existing steps (if any). For the `tidy` method, a tibble with columns `terms` which is the columns that will be affected.

### See Also

`step_invlogit()` `step_log()` `step_sqrt()` `step_hyperbolic()` `recipe()` `prep.recipe()` `bake.recipe()`

### Examples

    set.seed(313)
    examples <- matrix(runif(40), ncol = 2)
    examples <- data.frame(examples)

    rec <- recipe(~ X1 + X2, data = examples)

    logit_trans <- rec  %>%
      step_logit(all_predictors())

    logit_obj <- prep(logit_trans, training = examples)

    transformed_te <- bake(logit_obj, examples)
    plot(examples$X1, transformed_te$X1)

    tidy(logit_trans, number = 1)
    tidy(logit_obj, number = 1)

[Package recipes version 0.1.5 Index]